<%@ control language="c#" autoeventwireup="true" inherits="Report, App_Web_2m6rzdrz" %>
<%
/*************************************************************** {COPYRIGHT-TOP}
 * Licensed Materials - Property of IBM
 * IBM Tivoli Usage and Accounting Manager
 * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
 *  Copyright IBM Corp. 2005, 2007
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 **************************************************************** {COPYRIGHT-END}
 */
%>
<style>
	TR { mso-height-source: auto }
	BR { mso-data-placement: same-cell }
	TD { mso-width-source: auto }
	.head-cell { FONT-WEIGHT: bold; FONT-SIZE: 12pt; COLOR: #ffffff; BACKGROUND-COLOR: #000084 }
	.item-cell { DISPLAY: none; BACKGROUND-COLOR: #ffffff; mso-outline-level: 2 }
	.alt-item-cell { DISPLAY: none; BACKGROUND-COLOR: #c0c0c0; mso-outline-level: 2 }
	.total-cell { FONT-WEIGHT: bold; FONT-SIZE: 12pt; BACKGROUND-COLOR: #ffffff; mso-outline-level: 1; mso-outline-parent: collapsed }
	.grand-total-cell { FONT-WEIGHT: bold; FONT-SIZE: 12pt; BACKGROUND-COLOR: #c0c0c0 }
	.item-row { DISPLAY: none; mso-outline-level: 2 }
	.alt-item-row { DISPLAY: none; mso-outline-level: 2 }
	.total-row { mso-outline-level: 1; mso-outline-parent: collapsed }
	.grand-total-row { }
</style>
<asp:table id="ReportTable" GridLines="Vertical" Runat="server" Visible="false" EnableViewState="False"
	CellPadding="3" BackColor="#ffffff" BorderWidth="1px" BorderStyle="None" BorderColor="#999999">
	<asp:TableRow>
		<asp:TableCell Runat="server" ID="SheetName" Font-Bold="True" Font-Size="18pt" ColumnSpan="5"></asp:TableCell>
	</asp:TableRow>
	<asp:TableRow>
		<asp:TableCell HorizontalAlign="Right">Account&nbsp;Range:</asp:TableCell>
		<asp:TableCell Runat="server" ID="AccountRange" ColumnSpan="4">All Accounts</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow>
		<asp:TableCell HorizontalAlign="Right">Date&nbsp;Range:</asp:TableCell>
		<asp:TableCell Runat="server" ID="DateRange" ColumnSpan="4"></asp:TableCell>
	</asp:TableRow>
	<asp:TableRow>
		<asp:TableCell ColumnSpan="5">&nbsp;</asp:TableCell>
	</asp:TableRow>
	<asp:TableRow ID="HeaderRow" Runat="server">
		<asp:TableCell CssClass="head-cell">Account Code</asp:TableCell>
		<asp:TableCell CssClass="head-cell">Rate Code</asp:TableCell>
		<asp:TableCell CssClass="head-cell">Resource Units</asp:TableCell>
		<asp:TableCell CssClass="head-cell">Current Cost</asp:TableCell>
		<asp:TableCell CssClass="head-cell">New Cost</asp:TableCell>
	</asp:TableRow>
</asp:table>
<DIV style="WIDTH: 472px; POSITION: relative; HEIGHT: 400px" ID="ParametersPanel" Runat="server">
	<DIV style="DISPLAY: inline; FONT-WEIGHT: bold; FONT-SIZE: 18pt; Z-INDEX: 101; LEFT: 160px; FONT-FAMILY: Arial; POSITION: absolute; TOP: 144px; TEXT-ALIGN: center">
		Processing
	</DIV>
	<INPUT id="newRates" type="hidden" runat="server">
	<INPUT id="accountLength" type="hidden" runat="server">
	<INPUT id="endDate" type="hidden" runat="server">
	<INPUT id="orderBy" type="hidden" runat="server">
	<INPUT id="startDate" type="hidden" runat="server">
</DIV>
