<%@ page language="C#" masterpagefile="~/web.master" autoeventwireup="true" inherits="Login_, App_Web_z5tnea_r" theme="Default" stylesheettheme="Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="PagePlaceHolder" Runat="Server">
<%
/*************************************************************** {COPYRIGHT-TOP}
 * Licensed Materials - Property of IBM
 * IBM Tivoli Usage and Accounting Manager
 * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
 *  Copyright IBM Corp. 2005, 2007
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 **************************************************************** {COPYRIGHT-END}
 */
%>
	<style>body {display:none;}</style>
	<script>if (self == top) {document.getElementsByTagName("body")[0].style.display = 'block';} else {top.location = self.location;}</script>
     <div class="contentBody">
        
        <asp:Label ID="HeadingLabel" runat="server" Text="_Login_" CssClass="heading"></asp:Label>
        <br />
		<asp:Image ID="Image1" runat="server" ImageUrl="~/images/linefade.gif" Width="798px" />
        
        <asp:ValidationSummary id="ValidationSummary" runat="server"></asp:ValidationSummary>
	    
	    <table border="0" id="PasswordTable" runat="server">
		    <tr>
			    <td align="right">
                    <asp:Label ID="UserIdLabel" runat="server" Text="_User Id_" CssClass="parameterLabel"></asp:Label>
                </td>
			    <td>
			        <asp:TextBox ID="UserIdTextBox" runat="server" MaxLength="50" Width="139px" autocomplete="off"></asp:TextBox>&nbsp;
                    <asp:RequiredFieldValidator id="UserIdRequiredValidator" runat="server" ErrorMessage="_User Id is required._" 
                        ControlToValidate="UserIdTextBox" Display="None" Text="_required_" EnableClientScript="False"></asp:RequiredFieldValidator>
				</td>
		    </tr>
		    <tr>
			    <td align="right">
                    <asp:Label id="PasswordLabel" runat="server" Text="_Password_" CssClass="parameterLabel"></asp:Label></td>
			    <td>
			        <asp:TextBox ID="PasswordTextBox" runat="server" MaxLength="50" Width="139px" autocomplete="off" TextMode="Password"></asp:TextBox>&nbsp;
				    <asp:RequiredFieldValidator id="PasswordRequiredValidator" runat="server" ErrorMessage="_Password is required_" 
				        ControlToValidate="PasswordTextBox" Display="None" Text="_required_" EnableClientScript="False"></asp:RequiredFieldValidator>
					<asp:CustomValidator id="LoginValidator" runat="server" Display="None"  
					    OnServerValidate="LoginValidator_ServerValidate"></asp:CustomValidator>
			    </td>
		    </tr>		    
		    <tr id="ChangePasswordRow" runat="server">
			    <td>&nbsp;</td>
			    <td>
                    <asp:CheckBox ID="ChangePasswordCheckBox" runat="server" Text="_Change password_" /></td>
		    </tr>
		    <tr>
			    <td>&nbsp;</td>
			    <td valign="top" align="left">
                    <asp:Button ID="LoginButton" runat="server" Text="_Login_" CssClass="button" 
                        OnClick="LoginButton_ServerClick" />
                </td>
		    </tr>
	    </table>
	    
        <table border="0" id="ChangePasswordTable" runat="server" visible="false">           
            <tr>
                <td align="right">
                    <asp:Label ID="NewPasswordLabel" runat="server" AssociatedControlID="NewPassword" 
                        CssClass="parameterLabel">_New Password_</asp:Label></td>
                <td>
                    <asp:TextBox ID="NewPassword" runat="server" TextMode="Password" MaxLength="16" autocomplete="off"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="NewPasswordRequired" runat="server" Display="None" 
                        ControlToValidate="NewPassword" ErrorMessage="_New Password is required._" EnableClientScript="False"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Label ID="ConfirmNewPasswordLabel" runat="server" AssociatedControlID="ConfirmNewPassword" 
                        CssClass="parameterLabel">_Confirm New Password_</asp:Label></td>
                <td>
                    <asp:TextBox ID="ConfirmNewPassword" runat="server" TextMode="Password" MaxLength="16" autocomplete="off"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="ConfirmNewPasswordRequired" runat="server" Display="None" 
                        ControlToValidate="ConfirmNewPassword" ErrorMessage="_Confirm New Password is required._" EnableClientScript="False"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <asp:CompareValidator ID="NewPasswordCompare" runat="server" ControlToCompare="NewPassword"
                        ControlToValidate="ConfirmNewPassword" Display="None" ErrorMessage="_The Confirm New Password must match the New Password entry._" EnableClientScript="False"></asp:CompareValidator>
                    <asp:CustomValidator id="ChangePasswordValidator" runat="server" Display="None" 
                        OnServerValidate="ChangePasswordValidator_ServerValidate"></asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Button ID="ChangePasswordButton" runat="server" CommandName="ChangePassword"
                        Text="_Change Password_" CssClass="button" OnClick="ChangePasswordButton_Click" />
                </td>
                <td>
                    <asp:Button ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                        Text="_Cancel_" CssClass="button" OnClick="CancelButton_Click" />
                </td>
            </tr>
        </table>	    
	    
        <table border="0" id="ChangeCompleteTable" runat="server" visible="false">
            <tr>
                <td><asp:Label ID="ChangeCompleteLabel" runat="server">_Your password has been changed!_</asp:Label></td>
            </tr>
            <tr>
                <td align="right">
                    <asp:Button ID="ContinueButton" runat="server" CausesValidation="False" CommandName="Continue"
                        Text="_Continue_" CssClass="button" OnClick="ContinueButton_Click" />
                </td>
            </tr>
        </table>	    
	    
	 </div>

</asp:Content>

