<%@ page language="C#" masterpagefile="~/errors/error.master" autoeventwireup="true" inherits="errors_error, App_Web_e-awo25p" title="Untitled Page" theme="Default" stylesheettheme="Default" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <%
    /*************************************************************** {COPYRIGHT-TOP}
     * Licensed Materials - Property of IBM
     * IBM Tivoli Usage and Accounting Manager
     * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
     *  Copyright IBM Corp. 2005, 2007
     *
     * The source code for this program is not published or otherwise
     * divested of its trade secrets, irrespective of what has been
     * deposited with the U.S. Copyright Office.
     **************************************************************** {COPYRIGHT-END}
     */
    %>
    <asp:Label ID="HeadingLabel" runat="server" Text="Report Viewer NOT found!" Font-Bold="True" ForeColor="Red" Font-Size="14pt"></asp:Label><br />
    <br />
    <asp:Label ID="MessageLabel" runat="server">TUAM Windows Web Report requires Microsoft Report Viewer 2010. This component can be downloaded from the following web site:</asp:Label>    
    <br />
    <br />
    <asp:HyperLink ID="HyperLink" NavigateUrl="http://www.microsoft.com/downloads/details.aspx?FamilyID=a941c6b2-64dd-4d03-9ca7-4017a0d164fd" runat="server">Download Report Viewer 2010</asp:HyperLink>
    <br />
    <br />
    <br />
            <asp:ValidationSummary id="ValidationSummary" runat="server"></asp:ValidationSummary>
            
      	    <asp:Label ID="EnterServerLabel" runat="server" Text="_Enter the TUAM/TIP server details:_" CssClass="parameterLabel"></asp:Label>
    <table border="0" id="PasswordTable" runat="server">
            <tr>
    	        <td align="right">
                    <asp:Label ID="ServerURLLabel" runat="server" Text="_TUAM server host:port_" CssClass="parameterLabel"></asp:Label>
                </td>
                <td>
			        <asp:TextBox ID="ServerURLTextBox" runat="server" MaxLength="100" Width="139px"></asp:TextBox>&nbsp;
                    <asp:RequiredFieldValidator id="ServerURLRequiredValidator" runat="server" ErrorMessage="_Server URL is required._" 
                        ControlToValidate="ServerURLTextBox" Display="None" Text="_required_" EnableClientScript="False"></asp:RequiredFieldValidator>
				</td>    	    </tr>
		    <tr>
			    <td align="right">
                    <asp:Label ID="AdminUserIdLabel" runat="server" Text="_Admininstrator User Id_" CssClass="parameterLabel"></asp:Label>
                </td>
			    <td>
			        <asp:TextBox ID="AdminUserIdTextBox" runat="server" MaxLength="30" Width="139px"></asp:TextBox>&nbsp;
                    <asp:RequiredFieldValidator id="AdminUserIdRequiredValidator" runat="server" ErrorMessage="_Admin User Id is required._" 
                        ControlToValidate="AdminUserIdTextBox" Display="None" Text="_required_" EnableClientScript="False"></asp:RequiredFieldValidator>
				</td>
		    </tr>
		    <tr>
			    <td align="right">
                    <asp:Label id="PasswordLabel" runat="server" Text="_Password_" CssClass="parameterLabel"></asp:Label></td>
			    <td>
			        <asp:TextBox ID="PasswordTextBox" runat="server" MaxLength="16" Width="139px" TextMode="Password"></asp:TextBox>&nbsp;
				    <asp:RequiredFieldValidator id="PasswordRequiredValidator" runat="server" ErrorMessage="_Password is required_" 
				        ControlToValidate="PasswordTextBox" Display="None" Text="_required_" EnableClientScript="False"></asp:RequiredFieldValidator>
					<asp:CustomValidator id="AdminLoginValidator" runat="server" Display="None"  
					    OnServerValidate="AdminLoginValidator_ServerValidate"></asp:CustomValidator>
			    </td>
		    </tr>		    
		    
		    <tr>
			    <td>&nbsp;</td>
			    <td valign="top" align="left">
                    <asp:Button ID="LoginButton" runat="server" Text="_Submit_" CssClass="button" 
                        OnClick="LoginButton_ServerClick" CausesValidation="true" />
                </td>
		    </tr>
	    </table>

    <br />
</asp:Content>

