<%@ control language="C#" autoeventwireup="true" inherits="parameters_DateStart, App_Web_2oiqutu9" %>
<%@ Register Src="~/controls/DatePopup.ascx" TagName="DatePopup" TagPrefix="uc1" %>
<%
/*************************************************************** {COPYRIGHT-TOP}
 * Licensed Materials - Property of IBM
 * IBM Tivoli Usage and Accounting Manager
 * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
 *  Copyright IBM Corp. 2005, 2007
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 **************************************************************** {COPYRIGHT-END}
 */
%>
<tr>
    <td align="right" nowrap>
        <asp:Label ID="DateRangeLabel" runat="server" CssClass="parameterLabel" Text="_Set the Date Range_"></asp:Label></td>
    <td>            
        <asp:DropDownList ID="RangeDropdown" runat="server" EnableViewState="False">
            <asp:ListItem Value="ALL" Text="<%$ Resources:WebLabels, All %>" />
            <asp:ListItem Value="CURPERIOD" Text="<%$ Resources:WebLabels, CurrentPeriod %>" />
            <asp:ListItem Value="PREPERIOD" Text="<%$ Resources:WebLabels, PreviousPeriod %>" />
            <asp:ListItem Value="FISCALYEAR" Text="<%$ Resources:WebLabels, FiscalYear %>" />
            <asp:ListItem Value="FISCALYEAR2DATE" Text="<%$ Resources:WebLabels, FiscalYear2Date %>" />
            <asp:ListItem Value="PREFISCALYEAR" Text="<%$ Resources:WebLabels, PreviousFiscalYear %>" />
            <asp:ListItem Value="PREFISCALYEAR2DATE" Text="<%$ Resources:WebLabels, PreviousFiscalYear2Date %>" />
            <asp:ListItem Value="CURMON" Text="<%$ Resources:WebLabels, ThisMonth %>" />                
            <asp:ListItem Value="MONTH2DATE" Text="<%$ Resources:WebLabels, ThisMonth2Date %>" />
            <asp:ListItem Value="PREMON" Text="<%$ Resources:WebLabels, LastMonth %>" />                                
            <asp:ListItem Value="CURYEAR" Text="<%$ Resources:WebLabels, CurrentYear %>" />
            <asp:ListItem Value="YEAR2DATE" Text="<%$ Resources:WebLabels, Year2Date %>" />
            <asp:ListItem Value="PREYEAR" Text="<%$ Resources:WebLabels, PreviousYear %>" />
            <asp:ListItem Value="TODAY" Text="<%$ Resources:WebLabels, Today %>" />
            <asp:ListItem Value="PREDAY" Text="<%$ Resources:WebLabels, Yesterday %>" />
            <asp:ListItem Value="CURWEK" Text="<%$ Resources:WebLabels, Week %>" />
            <asp:ListItem Value="WEEK2DATE" Text="<%$ Resources:WebLabels, Week2Date %>" />
            <asp:ListItem Value="PREWEK" Text="<%$ Resources:WebLabels, LastWeek %>" />
            <asp:ListItem Value="CUSTOM" Text="<%$ Resources:WebLabels, Custom %>" />
        </asp:DropDownList>
        <asp:CustomValidator ID="CustomValidator" runat="server" Display="None" OnServerValidate="CustomValidator_ServerValidate"></asp:CustomValidator>
    </td>
</tr>
<tr>
    <td align="right" nowrap><asp:Label ID="FromLabel" runat="server" CssClass="parameterLabel" Text="_From_"></asp:Label></td>
    <td><uc1:DatePopup ID="DatePopupStart" runat="server" /></td>
</tr>
<tr>
    <td align="right" nowrap><asp:Label ID="ToLabel" runat="server" CssClass="parameterLabel" Text="_To_"></asp:Label></td>
    <td><uc1:DatePopup ID="DatePopupEnd" runat="server" /></td>
</tr>