/*
* 
* 5648-C83, 5648-C84 (C) COPYRIGHT International Business Machines Corp., 2007 
 * All rights reserved * Licensed Materials - Property of IBM  
 * 
 */
//249037 move this dojo requirement to where it's called
/*TIP_DOJO_NS*///dojo.require("dojo.io.iframe");

var SMUtils = {};

// 220137 START
	SMUtils.createXMLHttpRequest = function() {
		var tmpXHR = null;
		try {
			tmpXHR = new XMLHttpRequest();
		}
		catch( trymicrosoft ) {
			try {
				tmpXHR = new ActiveXObject("Msxml2.XMLHTTP");
			}
			catch( othermicrosoft ) {
				try {
					tmpXHR = new ActiveXObject("Microsoft.XMLHTTP");
				}
				catch (failed) {
					tmpXHR = false;
				}
			}
		}
		return( tmpXHR );
	}
	SMUtils.DoSynchronousAJAX = function( url ) {
		var METHODNAME = "SMUtils.DoSynchronousAJAX ";
		//console.info( METHODNAME + "Entry" );

		var pXHR = SMUtils.createXMLHttpRequest();
		if( !pXHR ){
			alert("Cannot create XMLHttp Request");
			return;
		}

		var params = '';

		pXHR.open( "GET", url, false );
		pXHR.setRequestHeader( "Content-type", "application/x-www-form-urlencoded" );
		pXHR.setRequestHeader( "Content-length", params.length );
		pXHR.setRequestHeader( "Connection", "close" );
		pXHR.send( params );

		//console.info( METHODNAME + "Exiting" );
		return( pXHR.responseText );
	}
//220137 END


//207599
SMUtils.CachedTopWin = null;
SMUtils.getTopWindow = function() {
	if( SMUtils.CachedTopWin != null ) {
		return( SMUtils.CachedTopWin );
	}
	else {
		var w = window;
		do{
			if( w.document.body!=null && w.document.body.getAttribute( "id" ) == "ISCmain" ) {
				// Top frameset found.
				CachedTopWin = w;
				return( CachedTopWin );
			}
			else if( w == w.top ) {
				// At top window, but top frameset not found
				return( null );
			}
			w = w.parent;
		} while( true );
	}
}

// SMUtils.RunScripts( node ): Find and evaluate all <script> blocks in the specified HTML node
SMUtils.RunScripts = function( node ) {
	var func = SMUtils.DelayedRunScripts( node );
	//if( /*TIP_DOJO_NS*/dojo.render.html.ie ){
	//	var t = setTimeout(func,0);
	//}
	//else {
		func();
       // var t = setTimeout( /*TIP_DOJO_NS*/dojo.hostenv.makeWidgets, 0 );
	//}
}

SMUtils.DelayedRunScripts = function( node ) {
	return( function(){
		if( node == null ) return;

		// 254762 - Scripts doesn't work in Safari. Invoke them here.
		if( dojo.isIE || dojo.isSafari || dojo.isFF >= 5 ) {
			dojo.query("script", node).forEach(function(s) {
				//253970 - Pull only scripts which are not deferred to improve performance
				/* Only IE can defer scripts now. */
				if(dojo.isIE && s.defer == true ){
					return;
				}
				
				var script = s.text;
				var src = s.getAttribute("src");
				// 220137 START
				var tmpElement = s.cloneNode( true );
				if( src != null && src != "" ) {
					script = SMUtils.DoSynchronousAJAX( src );
					tmpElement.removeAttribute( "src" );
				}
				if( dojo.isFF >= 5 ) { /* this currently leaves out FF4 -- unclear how it behaves */
					//console.log( "experimental" );
					dojo.eval( script );
				}
				else {
					s.parentNode.replaceChild( tmpElement, s );
					try {
						tmpElement.text = script;
					} 
					catch(e) {}
				}
				// 220137 End
			});
		}
	});
}

// SMUtils.GetFragmentURL( url ): Get the fragment version of the specified URL
SMUtils.GetFragmentURL = function( url ) {
	if( !top.Frameset.UseSM ) {
	    alert( "Something tried to use a SM function, even though SM operation is disabled!" );
		return( url );
	}

	if( url == null ) {
		return( null );
	}
	else if( url.indexOf( "filterNav.do" ) != -1 ) {
		return( url.replace( "filterNav\.do", "filterNavFragment.do" ) );
	}
	else if( url.indexOf( "cwm.do" ) != -1 ) {
		return( url.replace( "cwm\.do", "cwmf.do" ) );
	}
	else if( url.indexOf( "cws.do" ) != -1 ) {
		return( url.replace( "cws\.do", "cwsf.do" ) );
	}
	else if( url.indexOf( "cp.do" ) != -1 ) {
		return( url.replace( "cp\.do", "cpf.do" ) );
	}
	else if( url.indexOf( "pa.do" ) != -1 ) {
		return( url.replace( "pa\.do", "pafa.do" ) );
	}
	else if( url.indexOf( "taskbar.do" ) != -1 ) {
		return( url.replace( "taskbar\.do", "taskbarfragment.do" ) );
	}
	else if( url.indexOf( "navigation.do" ) != -1 ) {
		return( url.replace( "navigation\.do", "navfragment.do" ) );
	}
	else if( url.indexOf( "pra.do" ) != -1 ) {
		return( url.replace( "pra\.do", "prfa.do" ) );
	}
	//220146 //254880
	else if( url.indexOf( "fra.dx" ) != -1 ) {
		return( url.replace( "fra\.dx", "fra.do?XSS="+top.window.XSS ) );
	}
	else {
		// No known fragment URL version, return the original URL
		return( url );
	}
}

/**
 * SMUtils.BindForm( form, handler, newAction ): Bind form submission to the new action and pass the results to the handler method.
 * 
 * The BindForm function provides the ability to bind the results of form submission to an AJAX callback handler.
 * These steps are necessary because the Dojo FormBind function does not handle forms submitted
 * by the javascript submit() function, only forms submitted by clicking a 'submit' button.
 * This function adds a Dojo FormBind to the form, adds an invisible submit button to the form, and 
 * converts any call to submit() into a click on the invisible button.
 **/
SMUtils.BindForm = function( form, handler, newAction ) {
	if( !top.Frameset.UseSM ) {
		alert( "Something tried to use a SM function, even though SM operation is disabled!" );
		return;
	}

	// If form specifies an action...
	if( form.getAttributeNode ) {
		//if( !form.getAttributeNode( "ISC_FORM_BOUND" ) ) {	// It is permissable (and necessary sometimes) to re-bind forms that are already bound once, usually to take dynamically added content (ajax) into account.
			if( form.getAttributeNode( "action" ) != null ) {
				var href = form.getAttributeNode( "action" ).value;

				// If the action is a URL
				if( href != null && href != "" ) {
					// Get the fragment version of the action
					var fragmentAction = SMUtils.GetFragmentURL( href );
					//If form has already got a FormBind object...
					if( typeof form.tipFormBindObj != "undefined" ) {
						// Form has already been bound, but new form elements may have been added.  Re-do the FormBind.init(form) call to make sure all elements get bound correctly.
						form.tipFormBindObj.init( form );
					}
					// If the action has no fragment version...
					else if( fragmentAction == href ) {
						// If the form already specifies a target other than 'detail'...
						if( form.getAttributeNode( "target" ) != null && form.getAttributeNode( "target" ).value != null && form.getAttributeNode( "target" ).value != "detail" ) {
							// Leave it alone.
						}
						// If the form does not specify a target or specifies 'detail'...
						else {
							// Set the target to the nonSM detail frame
							form.setAttribute( "target", "detail_nonSM" );
						}
						return;
					}
					// If the action has a fragment version...
					else {
						// The action is fragmentizeable - hook it up

						/*220146*/
						var hasFileInput = false;
						var inputs = form.elements;
						for( var p = 0; p < inputs.length; p++ ) {
							if( inputs[p].getAttribute( "type" ) == "file" ) {
								hasFileInput = true;
								break;
							}
						}

						if( hasFileInput ) {
							if( form.getAttribute( "target" ) == null ) {
								var hif = document.createElement( "iframe" );
								hif.id = form.id + "_" + form.name + "_ISC_HIDDEN_IFRAME";
								hif.setAttribute( "name", hif.id );
								hif.style.visibility = "hidden";
								hif.setAttribute( "width", "1px" );
								hif.setAttribute( "height", "1px" );
								//hif.style.display = "none";	// Enabling this line causes this functionality to stop working, not clear why
								//console.info( "Hidden IFrame 'hif' created" );

								form.appendChild( hif );
								//console.info( "Hidden IFrame 'hif' added" );

								var hifonloadscript = "SMUtils.HIFLoad( '" + hif.id + "' );";
								hif.setAttribute( "onload", hifonloadscript );
								//console.info( "Hidden IFrame 'hif' scripted" );

								form.setAttribute( "target", hif.id );
								//console.info( "Hidden IFrame 'hif' targeted" );

								form.getAttributeNode( "action" ).value = form.getAttributeNode( "action" ).value.replace( "pa\.do", "parfa.do" ) + "&ISC_FREQ_ISFREQ=true";
								//console.info( "Form action adjusted" );
							}
							else {
								//console.info( "Form already has an action, ignoring" );
							}
						}	// End if( hasFileInput )
						else {
						// Handle default values
						if( handler == null ) {
							//handler = top.Frameset.FragmentCollectionCallback;
							handler = SMUtils.handleFragmentCollectionCallback;
						}
						if( newAction == null ) {
							newAction = fragmentAction;
						}

						var hasFormOnsubmitElement = false;
						try {
							if("undefined" !== typeof form && "function" === typeof form.onsubmit) {
                                var test = form.onsubmit.getAttribute( "name" );	//'test' is never referenced, but this line is used to throw an error and avoid setting the hasFormOnsubmitElement=true
								hasFormOnsubmitElement = true;
							}
						} 
						catch( e ) {}

						// Set the new action
						form.getAttributeNode( "action" ).value = newAction;

						if( !hasFormOnsubmitElement ) {
							//217907
							// Bind the form submission (by button click) to the callback method
							var x = new SMUtils.FormBind(form);
							form.tipFormBindObj = x;	// Save the FormBind obj for this form for future use rescanning for changed form elements.  Also indicates form has been bound once if it's present.

							// Include call to fpSave in the form's onsubmit function.
							var origOnSubmit = form.onsubmit;
							form.onsubmit = function(evt) {

							   if( evt ) /*TIP_DOJO_NS*/dojo.stopEvent(evt);

								if( SMUtils.getTopWindow().detail && SMUtils.getTopWindow().detail.fpCurrentPageId && SMUtils.getTopWindow().detail.IscPages && SMUtils.getTopWindow().detail.fpSave && SMUtils.getTopWindow().detail.IscPages.currentPageId ) {
									var curPageElem = SMUtils.getTopWindow().detail.IscPages.getPageElementById( SMUtils.getTopWindow().detail.IscPages.currentPageId );

									// Set the submitting form
									SMUtils.getTopWindow().detail.fpResetSubmitForm();
									var dummyEvt = new Object();
									dummyEvt.target = this;

									SMUtils.getTopWindow().detail.fpSaveSubmitForm( dummyEvt );
									SMUtils.getTopWindow().detail.fpSave( dummyEvt, curPageElem );
								}

								if(SMUtils.getTopWindow().detail && SMUtils.getTopWindow().detail.saveTablesState){
									
									var page = SMUtils.getTopWindow().detail.IscPages.getPageObjectById(SMUtils.getTopWindow().detail.IscPages.currentPageId);
									
									//alert(form.parentNode.id);
									var portletFragment = form.parentNode;
									while(portletFragment && portletFragment.getAttribute && portletFragment.getAttribute("name") != "PortletFragment"){
										//console.log(parent.getAttribute("name"));
										portletFragment = portletFragment.parentNode;
									}
									
									//alert("Parent id= " + parent.id + '\n' + "IscPages.currentPageId=" + IscPages.currentPageId);
									var evt = new Object();
									evt.target = this;
									evt.invocation = 'submit';
									//evt.source = page.isStateMaintained() ? portletFragment : null;
									if(page.isStateMaintained()){
										evt.source = portletFragment;
									}else{
										evt.source = page.getPageElement();
									}									
										
									SMUtils.getTopWindow().detail.saveTablesState(evt);
									
								}

								var origOnSubmitRetVal = true;
								if( origOnSubmit != null ) {
									try {
										origOnSubmitRetVal = origOnSubmit();
									}
									catch( e ) {
										alert( "form's onsubmit threw an error: " + e.message );
									}
								}

								//217907
								if( !origOnSubmitRetVal ) {
									//alert( "form onsubmit returned false, should abort now." );
								}
								else {
									//alert( "form onsubmit returned TRUE, should submit now." );
									x.submit(evt);
								}

								return( false );
							}
						}
						else {
							// This form has an element named 'onsubmit'.  Thus it is impossible to set the onsubmit() method, and form data will not be persisted.
							//console.info( "This form has an element named 'onsubmit'.  Unable to set the onsubmit() method, form data will not be persisted." );
						}


						// Check to see if the form has an element named 'submit'.  This will determine whether we can override the submit() method.
						var hasFormSubmitElement = false;
						try {
							hasFormSubmitElement = (/*TIP_DOJO_NS*/dojo.query("[name=submit]", form).length > 0);
						} 
						catch( e ) {}

						/**
						 * Defect 188092
						 * If the form has no 'submit' element, override the submit() method to submit via / *TIP_DOJO_NS* /dojo.
						 * Note Dojo code that explicitly adds the first found button in dojo/src/io/BrowserIO.js.
						 **/
						if( !hasFormSubmitElement ) {

							form.submit = function() {
								/*TIP_DOJO_NS*/dojo.xhrPost({
									form:form,
									handle:handler,
									/*250904 Start*/
									headers: { "Content-Type":"application/x-www-form-urlencoded; charset=UTF-8" },
									error: 
										function( data ) {
											top.location.href = top.location.href;
										}
									/*250904 End*/
								});
							}
						}
						else {
							// This form has an element named 'submit'.  Thus it is impossible to override the submit() method to click the dojoButton.
							// There should be no calls to submit this form through javascript.
							//console.info( "This form has an element named 'submit'.  Unable to set the submit() method, form should not be submitted via script." );
						}

						/* 217907
						// Bind the form submission (by button click) to the callback method
						var x = new SMUtils.FormBind(form);
						*/
						}	// End if( hasFileInput ) {} else

						//form.setAttribute( "ISC_FORM_BOUND", "true" );	// Form elements can be bound more than once to catch dynamically added input elements.  The FormBind obj attached to the form can also be used in place of this flag, so it's no longer needed.
					} // End  If the action has a fragment version...
				} // End  If the action is a URL
			} // End  If form specifies an action...
		//}
	}
}


// 220146
SMUtils.HIFLoad = function( hifId ) {
	// Get the hidden iframe
	var hif = document.getElementById( hifId );

	// Get the iFrame's document & win
	var hif_doc = hif.contentWindow || hif.contentDocument;
	if( hif_doc.document ) hif_doc = hif_doc.document;
	var hif_win = window.frames[ hif.getAttribute( "name" ) ];


	PortletLink.hookForms( hif_doc.body );
	var submitbutton = hif_doc.getElementById( "ISC_FREQ_SUBMIT" );
	if( submitbutton ) {
		//console.info( "Clicking hif's submit button" );
		submitbutton.click();
	}
};


/**
 * SMUtils.BindAnchor( anchor ): Bind anchor click to the new action and pass the results to the handler method.
 * 
 * The BindAnchor function provides the ability to bind an anchor's onclick function to the AJAX callback handler.
 * The original onclick function is maintained and executed as well.
 * This function also handles changing non-fragmentizeable anchor HREFs to target the detail_nonSM frame.
 **/
SMUtils.BindAnchor = function( anchor ) {
    if( !top.Frameset.UseSM ) {
	    alert( "Something tried to use a SM function, even though SM operation is disabled!" );
	    return;
	}
     
	// If anchor specifies an href...
	if( anchor.getAttributeNode ) {
		if( !anchor.getAttributeNode( "ISC_ANCHOR_BOUND" ) ) {
			if( anchor.getAttributeNode( "href" ) != null ) {
				var href = anchor.getAttributeNode( "href" ).value;  // This value is the actual href value on FF, but always fully qualified on IE
				var FQhref = anchor.href;                            // This value is fully qualified on both browsers

				// If the href is a URL
				if( FQhref.toLowerCase().indexOf( "http" ) == 0 ) {
					// Get the fragment version of the href
					var fragmentHref = SMUtils.GetFragmentURL( href );

					// If the action has no fragment version...
					if( fragmentHref == anchor.getAttributeNode( "href" ).value ) {
						// If the action already specifies a target (other than 'detail')...
						if( anchor.getAttributeNode( "target" ) != null && anchor.getAttributeNode( "target" ).value != null && anchor.getAttributeNode( "target" ).value != "detail" ) {
							// Leave it alone.
						}
						// If the form does not specify a target or specifies 'detail'...
						else {
							// Set the target to the nonSM detail frame
							anchor.setAttribute( "target", "detail_nonSM" );
						}
						return;
					}
					// If the href has a fragment version...
					else {
						// The href is fragmentizeable - hook it up

						var ab = new AnchorBind( anchor );
						anchor.setAttribute( "ISC_ANCHOR_BOUND", "true" );
					} // End  If the href has a fragment version...
				}
				else {
					// href is not a URL - perhaps a "javascript:doFunc()" type href.  Do nothing.
				}
			} // End  If anchor specifies an href...
		}
	}
} // End SMUtils.BindAnchor


///////////////////////////////////////////////////////////////////////////////////////////////////////////


SMUtils.FormBind = function(args) {
    this.bindArgs = args;
    formBindExt();
	if(args) {
		this.init(args);
	} 
}

function formBindExt(){

   var x= /*TIP_DOJO_NS*/dojo.extend(SMUtils.FormBind, {

        bindArgs: null,

        clickedButton: null,
       
        init: function(args) {
			//This function could be called multiple times to ensure dynamically added form input elements are processed.  Use caution and do not use code here that should only be executed once.

        	var form = args;
       
        	if(!form || !form.tagName || form.tagName.toLowerCase() != "form") {
        		throw new Error("SMUtils.FormBind: Couldn't apply, invalid form");
        	} else if(this.form == form) {
        		return;
        	} else if(this.form) {
        		throw new Error("SMUtils.FormBind: Already applied to a form");
        	}
            this.bindArgs = args;

            //217907 /*TIP_DOJO_NS*/dojo.connect(form, "onsubmit", this, "submit");

        	for(var i = 0; i < form.elements.length; i++) {
        		var node = form.elements[i];

				if( !node.getAttributeNode( "FORM_ELEMENT_BOUND" ) ) {	//Don't connect the onclick events of input elements that have already been connected.
					if(node && node.type && (node.type.toLowerCase()=="submit" || node.type.toLowerCase()== "button")) {
						/*TIP_DOJO_NS*/dojo.connect(node, "onclick",this, "click");
					}
					if(node.type && node.type.toLowerCase() == "image" && node.form == form) {
						/*TIP_DOJO_NS*/dojo.connect(node, "onclick",this, "click");
					}
					node.setAttribute( "FORM_ELEMENT_BOUND", "true" );
				}
        	}
		},

		submit: function(/*Event*/e) {
			//217907 Already done in onsubmit function e.preventDefault();

			var form = this.bindArgs;
			var node = ( typeof( e ) == "undefined" || e == null ) ? null : e.currentTarget; // Try using the currentTarget as a fallback if clickedButton hasn't been set
			//var type = (node.type||"").toLowerCase();

			if( typeof(node) != "undefined" && node != null && ( node.type=="submit" || node.type=="button" || node.type=="image" ) ) {
				if(!this.clickedButton) {
					this.clickedButton = node;
				}
			}

			// The following are overkill hopefully - shouldn't need to do this, but preventing error with undefined k (below)
			//If we still don't know what submitted the form, just say the event target was clicked.
			if( !this.clickedButton ) {
				if( node != null ) this.clickedButton = node;
			}
			//If we still don't know what submitted the form, just say the form was clicked.
			if( !this.clickedButton ) {
				this.clickedButton = form;
			}

			var k = this.clickedButton;
//         var tempString="";
			var ec = encodeURIComponent;
			var contentArray = new Array();	//208965	
			contentArray[k.name] = new Array(k.value);	//208965
	
			for (var i=0;i<form.elements.length;i++){
				var temp = form.elements[i];
				//211363 each pair is now key=array-of-values
				//The problem was with duplicated names of different type(e.g. checkboxes and hidden input), in such case the first iteration over the checkboxes was creating the array for multiple values
				//but after some of the checkboxes, the hidden input was being processed, causing the array to be overwritten by a single value. When the iteration continues to next checkbox, the call to push() fails becuase we do not have an array anymore
				if(contentArray[temp.name] == null)
				{
					contentArray[temp.name] = new Array();
				}
				else if( !( contentArray[temp.name] instanceof Array ) ) {
					/*
					This point will be reached most likely because the temp.name matches an Array object function name, e.g. 'filter' (JS 1.6)
					When this happens, contentArray['filter'] actually refers to the filter Function object.
					This section will clobber the function and set it equal to a new Array so we can use it to store the form element's value.
					This will allow the WIM portlets (which have form elements named 'filter') to work, and the missing filter function does not seem to break any Dojo operations with the contentArray object later (see the xhrPost call below).
					This is still a HACK however, since other form element names _could_ break Dojo's JS since we're not sure which Array functions Dojo uses.
					One potential fix that may NOT be viable is to use the xhrPost 'form' parameter rather than the 'content' parameter to allow Dojo to grab form elements itself.  However earlier investigation found this causes problems since Dojo does not know which submit button was clicked, and includes _all_ submit buttons in the request, causing improper execution.
					Care should be taken to fully test this functionality once a more robust fix is developed - this time only luck provided a form with an element that matches a function name (and only on FF, using JS 1.6 at that).
					*/
					contentArray[temp.name] = new Array();
				}
	
				if (temp.type && !temp.disabled && temp.type.toLowerCase() != "submit" && temp.type.toLowerCase() != "checkbox" && temp.type.toLowerCase() != "radio"){
					if( temp.type.toLowerCase() == "select-multiple" ) {
						//console.info( "Found a SELECT-MULTIPLE element named " + temp.name );
						for( var j = 0; j < temp.options.length; j++ ) {
							//console.info( temp.options[j].value + " selected=" + temp.options[j].selected );
							if( temp.options[j].selected ) {
								//208965 add value to a multi-value parameter
								contentArray[temp.name].push(temp.options[j].value);						 
								//tempString += "&"+ec(temp.name)+"="+ec(temp.options[j].value);
							}
						}
					}
					else {
						//208965 add single-value parameter to the parameters array
						contentArray[temp.name].push(temp.value);					 
						//tempString += "&"+ec(temp.name)+"="+ec(temp.value);
					}
				}
				else{
					if (temp.type && (temp.type.toLowerCase() == "checkbox" || temp.type.toLowerCase() =="radio")){
						if (temp.checked && !temp.disabled){
							//208965 add value to a multi-value parameter
							contentArray[temp.name].push(temp.value);								  
							//tempString += "&" + ec(temp.name) + "=" + ec(temp.value);
						}
					}
				}
			} 
		 
			//208965 It looks like the lines below are not needed anymore
			//var total="&"+k.name+"="+k.value+tempString;                                    
			
			var formAction = form.getAttributeNode("action").value;
			 
			/*
			var formActionAnchorStart = formAction.indexOf( "#" );
			if( formActionAnchorStart == -1 ) formActionAnchorStart = formAction.length;
			 
			var formActionBase = formAction.substring( 0, formActionAnchorStart );
			var formActionAnchor = formAction.substring( formActionAnchorStart, formAction.length );

			var newFormAction = formActionBase + total + formActionAnchor;
			*/
	
			//The request now utilizes the 'content' property
			//Those changes are made in order to fix 208965 - LI3449: fail to creare new page, when add all roles on it
			//It seems that in some cases(in IE) the URL being passed to xhrPost is getting pretty long and the request is not being sent.
			/*TIP_DOJO_NS*/dojo.xhrPost({
				url: formAction,
				content: contentArray,
				headers: { "Content-Type":"application/x-www-form-urlencoded; charset=UTF-8" },
				handle: SMUtils.handleFragmentCollectionCallback,
				error: 
					function( data ) {
						top.location.href = top.location.href;
					}
			});
		},
		/* END submit function */
	
		click: function(/*Event*/e) {
			this.clickedButton = e.currentTarget;
		}
	
	});


}



//////////////////////////////////////////////////////////////////////////////////////////////////////////

function AnchorBind( anchor ) {
	this.origOnClick = anchor.onclick; // 187467 - keep the original onclick function and execute it before requesting the fragment collection.
	this.anchor = anchor;

	//217907
	// /*TIP_DOJO_NS*/dojo.connect( anchor, "onclick", this, "onclick");
	var ABObj = this;
	anchor.onclick = function( evt ) {
		return( ABObj.onclick( evt ) );
	};
}
AnchorBind.prototype.onclick = function( evt ){
	//alert( "AnchorBind.prototype.onclick(evt) Entry, href: " + this.anchor.href );
	// 187467 - keep original onclick function and execute it before requesting the fragment collection.
	var ooc = true;
	if( this.origOnClick ) {
		ooc = this.origOnClick( evt );
	}
	if( typeof(ooc) != "undefined" && ooc == false ) {
		return( false );
	}
	SMUtils.RequestFragmentCollection( this.anchor.href );
	if( evt ) /*TIP_DOJO_NS*/dojo.stopEvent( evt );

	if( SMUtils.getTopWindow().detail &&  SMUtils.getTopWindow().detail.IscPages && SMUtils.getTopWindow().detail.IscPages.currentPageId ) {
		
		var page = SMUtils.getTopWindow().detail.IscPages.getPageObjectById(SMUtils.getTopWindow().detail.IscPages.currentPageId);
				
		if( page.isStateMaintained()){
			
			//we have to check if we are clicking a link from the same page
			var anchors = page.getPageElement().getElementsByTagName('a');
			for(var i = 0 ; i < anchors.length; i++){
				if(anchors[i].href == this.anchor.href ){
			
					var portletFragment = anchors[i].parentNode;
					
					while(portletFragment && portletFragment.getAttribute && portletFragment.getAttribute("name") != "PortletFragment"){
						//console.log(portletFragment.id + "   " + portletFragment.getAttribute("name"));
						portletFragment = portletFragment.parentNode;
					}
					
					//alert("Parent id= " + parent.id + '\n' + "IscPages.currentPageId=" + IscPages.currentPageId);
					var evt = new Object();
					evt.target = anchors[i];
					evt.invocation = 'anchor';
					evt.source = portletFragment;
			
					if(SMUtils.getTopWindow().detail.saveTablesState){
						SMUtils.getTopWindow().detail.saveTablesState(evt);
					}
				}
			}
		}
	}
	return( false );
}
     

SMUtils.handleFragmentCollectionCallback = function (data) {
	SMUtils.closeEditDialog();
	top.Frameset.FragmentCollectionCallback(data);
};

SMUtils.closeEditDialog = function () {
//	console.log ("enter SMUtils.closeEditDialog");
//	/*TIP_DOJO_NS*/dojo.require ("dijit.Dialog");
//	var id = "tipEditDialog";
//	var dialog = /*TIP_DOJO_NS*/dijit.byId (id);

//	if ((dialog !== null) && (dialog !== undefined)) {
//		dialog.hide();
//		dialog.destroyRecursive();
//		/*TIP_DOJO_NS*/dijit.registry.remove (id);
//	}

//	var modalPlane = /*TIP_DOJO_NS*/dojo.byId ("modalPlane");
//	if ((modalPlane !== undefined) && (modalPlane !== null)) {
//		UIElement.destroyElement (modalPlane);
//	}
	return;	// a place to hang a breakpoint
};

// SMUtils.RequestFragmentCollection( url, handler ): Convert the URL to a fragment request and submit it through AJAX. Pass the results to the specified handler function.
SMUtils.RequestFragmentCollection = function( url, handler, /*Asociative Array*/content) {
//	console.log ("enter SMUtils.RequestFragmentCollection");
	top.Frameset.RequestFragmentCollectionStartTime = (new Date()).getTime();

	if( !top.Frameset.UseSM ) {
	    alert( "Something tried to use a SM function, even though SM operation is disabled!" );
		return;
	}
	
	if( SMUtils.getTopWindow().detail &&  SMUtils.getTopWindow().detail.IscPages && SMUtils.getTopWindow().detail.IscPages.currentPageId ) {
		
		var curPageElem = SMUtils.getTopWindow().detail.IscPages.getPageElementById( SMUtils.getTopWindow().detail.IscPages.currentPageId );
		//console.log(curPageElem);
		if(SMUtils.getTopWindow().detail.fpCurrentPageId && SMUtils.getTopWindow().detail.fpSave){
			SMUtils.getTopWindow().detail.fpResetSubmitForm();
			SMUtils.getTopWindow().detail.fpSave( null, curPageElem );
		}
		
		if(SMUtils.getTopWindow().detail.saveTablesState){
			var page = SMUtils.getTopWindow().detail.IscPages.getPageObjectById(SMUtils.getTopWindow().detail.IscPages.currentPageId);
			if( ! page.isStateMaintained()){
				SMUtils.getTopWindow().detail.saveTablesState(null);
			}
		}
	}
	// Handle default values
	if( handler == null ) {
	    if (url.indexOf ("cwm.do?")> -1 && url.indexOf(".wm=edit_defaults") > -1) {
			//handler = /*TIP_DOJO_NS*/dojo.hitch (this, top.Frameset.EditDefaultsCallback);
			//console.log ("setting handler to EditDefaultsCallback");
			handler = SMUtils.EditDefaultsCallback;
		} else if (url.indexOf ("cwm.do?")> -1 && (url.indexOf(".wm=edit") > -1 
				|| url.indexOf(".wm=view") > -1)) {
			handler = SMUtils.EditCallback;
		} else {
			//handler = top.Frameset.FragmentCollectionCallback;
			handler = SMUtils.handleFragmentCollectionCallback;
		}
	}

	// Convert the URL to the appropriate fragment URL
	url = SMUtils.GetFragmentURL( url );
	if (url.indexOf ("&XSS=") == -1) { 
		url = url + "&XSS="+top.window.XSS;
	}
	
	// Make the request
	var reqHeaders = new Array();
	reqHeaders["If-Modified-Since"] = "Sat, 1 Jan 2000 00:00:00 GMT";
	reqHeaders["Content-Type"] = "application/x-www-form-urlencoded; charset=UTF-8";	//250904
	/*TIP_DOJO_NS*/dojo.xhrPost( {
		headers:	reqHeaders,
		url:		url,
        content: content,
		load:		handler, 
		mimetype:	"text/html",
		error: function( data ) {
			top.location.href = top.location.href;
		}
	} );
}



SMUtils.EditDefaultsCallback=function(data) {
	try {
		//console.log ("enter EditDefaultsCallback");
		var pageDiv = SMUtils.getTopWindow().detail.IscPages.getPageElementById(SMUtils.getTopWindow().detail.IscPages.currentPageId);
		
		top.Frameset.FragmentCollectionCallback(data);
		//This resize event is a temporary fix for PTE TBSM1285. Please refer the defect 254050 for details.
		iscPortlet.sendResizeEvent("SMUtils.EditDefaultsCallback");
	} catch (ex) {
		console.log ("ex: ");
		console.log (ex);
	}
}

SMUtils.EditCallback=function(data) {
	SMUtils.closeEditDialog();
	top.Frameset.FragmentCollectionCallback(data);
	//This resize event is a temporary fix for PTE TBSM1285. Please refer the defect 254161 and 254050 for details.
	iscPortlet.sendResizeEvent("SMUtils.EditCallback");
}

/*
SMUtils.FFVersion=navigator.userAgent.substring(navigator.userAgent.indexOf("Firefox")).split("/")[1];
SMUtils.FFPAD=parseFloat(SMUtils.FFVersion)>=0.1? 16 : 0; //extra height in px to add to iframe in FireFox 1.0+ browsers
SMUtils.IEPAD=6;
*/

SMUtils.IF_adjIFrameSize = function( iframe ) {
	var METHODNAME = "SMUtils.IF_adjIFrameSize: ";
	//console.info( METHODNAME + "Entry" );

	// Get the iFrame's document
	var iframe_doc = iframe.contentWindow || iframe.contentDocument;
	if( iframe_doc.document ) iframe_doc = iframe_doc.document;

	if( iframe_doc.body == null ) return;	// Avoid issue if browser DOM doesn't fully recognize content as loaded (timing issue - has happened sometimes with empty cache and an isolated welcome portlet)

	// iframe.width="100%";

	// Get the actual size of the document
	var iframe_doc_size = SMUtils.IF_getDocSize( iframe_doc );
	//console.info( METHODNAME + "iframe_doc_size: " + iframe_doc_size );

	// This is kinda clumsy but seems to work - should try to understand the issue (probably timing of iframe loading) that causes occasional improper height on IE (FF appears unaffected)
	//if( iframe_doc_size[1] == SMUtils.IEPAD ) {
		//alert( METHODNAME + "matched IEPAD, iframe_doc_height: " + iframe_doc_size[1] );
		//adjIFrameSize( iframe );
		//iframe_doc_size = SMUtils.IF_getDocSize( iframe_doc );
	//}

	var hasHScroll = iframe_doc.body.scrollWidth < iframe_doc_size[0];	//251294

	// Set the iFrame's size equal to the document's actual size
	iframe.height = iframe_doc_size[1] + (hasHScroll?SMUtils.getScrollbarSize():0);	//251294

	//console.info( "iframe.clientWidth: " + iframe.clientWidth + ", iframe_doc.body.scrollWidth: " + iframe_doc.body.scrollWidth + ", iframe_doc_size[0]: " + iframe_doc_size[0] );
	if( iframe.clientWidth < iframe_doc.body.scrollWidth ) {
		//console.info( "cw: " + iframe.clientWidth + ", sw: " + iframe_doc.body.scrollWidth );
		iframe.width = iframe_doc.body.scrollWidth;
	}
	/*
	if( iframe.clientWidth < iframe_doc_size[0] ) {
		//console.info( "cw: " + iframe.clientWidth + ", ds: " + iframe_doc_size[0] );
		iframe.width = iframe_doc_size[0];
	}
	*/
	

	// Double check the doc height (this is necessary for IE on initial load for some reason - changing getDocHeight impl may fix this need)
	iframe_doc_size = SMUtils.IF_getDocSize( iframe_doc );

	//console.info( METHODNAME + "height changed, new iframe_doc_height: " + iframe_doc_height );

	if( iframe.height != ( iframe_doc_size[1] + (hasHScroll?SMUtils.getScrollbarSize():0) ) ) {	//251294
		//alert( METHODNAME + "height mismatch, iframe_doc.height: " + iframe_doc_size[1] + ", iframe.height: " + iframe.height );
		SMUtils.IF_adjIFrameSize( iframe );
	}

	if( iframe.getAttribute("isNoSize") == "true" ) {
		try{
			iframe_doc.body.scrollTop = 0;
		}
		catch( e ){
			alert( METHODNAME + "Unable to scroll iframe to top: " + e );
		};
	}
}

SMUtils.findPosition = function( obj ) {
	var x = 0;
	var y = 0;
	if (obj.offsetParent) {
		do {
			x += obj.offsetLeft;
			y += obj.offsetTop;
		} while( obj = obj.offsetParent );
	}
	return [x,y];
}

/*251294 START*/
SMUtils.cachedScrollBarSize = -1;
SMUtils.getScrollbarSize = function() {
  //254013, update the logic so that we don't return invalid value in the first call.
	if( SMUtils.cachedScrollBarSize <= -1 ) {

	  var div0 = document.createElement( "div" );
	  div0.style.width = "50px";
	  div0.style.height = "50px";
	  div0.style.position = "absolute";
	  div0.style.top = "-200px";
	  div0.style.left = "-200px";
	  div0.style.overflow = "hidden";

	  var div1 = document.createElement( "div" );
	  div1.style.height = "100px";

	  div0.appendChild( div1 );
	  document.body.appendChild( div0 );

	  var maxW = div1.offsetWidth;
	  div0.style.overflow = 'auto';
	  var minW = div1.offsetWidth;
	
	  document.body.removeChild( div0 );

    //I'm not sure why but if the returned value is less than 17, IE will hang.
    //TODO: find the root cause.
    var tempSize = maxW - minW;
	  SMUtils.cachedScrollBarSize = (tempSize<17?17:tempSize);
  }
  
  return SMUtils.cachedScrollBarSize;
}
/*251294 END*/

SMUtils.IF_getDocSize = function( doc ) {
	var METHODNAME = "SMUtils.IF_getDocSize: ";
	//console.info( METHODNAME + "Entry" );

	var docSize = [-1,-1];
	try {
		// This should work for ISC contents
		//docHt = doc.getElementById( "ISC_CONTENT_RENDER_CONTAINER_DIV" ).scrollHeight;

		/*
		var tld = doc.getElementById( "ISC_CONTENT_RENDER_TOPLEFT" );
		var brd = doc.getElementById( "ISC_CONTENT_RENDER_BOTTOMRIGHT" );

		var topLeft = SMUtils.findPosition( tld );
		topLeft = [ topLeft[0] + tld.clientWidth, topLeft[1] + tld.clientHeight ];
		var bottomRight = SMUtils.findPosition( brd );

		docSize = [ (bottomRight[0]-topLeft[0]), (bottomRight[1]-topLeft[1]) ];
		*/
		var ctd = doc.getElementById( "ISC_CONTENT_RENDER_CENTER" );
		docSize = [ ctd.clientWidth, ctd.clientHeight ];
	}
	catch( e ) {
		// This should work for non ISC contents (e.g. loading www.ibm.com into a portlet window )

		// This is not supported at this time
		//alert( "Warning: document contents do not appear to be a TIP renderable: " + e + " -- location: " + doc.location );
		// We don't alert here because this can happen when initially loading an iframe - in this case we want to just ignore the error.
		return( docSize );

		var docHt
		if (doc.height) {
			// FF
			docHt = doc.height;
		}
		else if (doc.body) {
			// IE
			var sh, oh;
			if (doc.body.scrollHeight) docHt = sh = doc.body.scrollHeight;
			if (doc.body.offsetHeight) docHt = oh = doc.body.offsetHeight;
			if (sh && oh) docHt = Math.max(sh, oh);
		}

		docSize = [docSize[0],docHt];
	}
	return docSize;
}

SMUtils.IF_BindIFrame = function( iframe ) {
	var METHODNAME = "SMUtils.IF_BindIFrame: ";
	//console.info( METHODNAME + "Entry" );

	// Get the parent document & win
	var parent_doc = document;
	var parent_win = window;

	// Get the iFrame's document & win
	var iframe_doc = iframe.contentWindow || iframe.contentDocument;
	if( iframe_doc.document ) iframe_doc = iframe_doc.document;
	var iframe_win = window.frames[ iframe.getAttribute( "name" ) ];

	// START Contents Hookup
	{
		// These functions are in content.js
		PortletLink.hookAnchors( iframe_doc.body );
		PortletLink.hookForms( iframe_doc.body );
	}
	// END Contents Hookup

	// START Resize Handling
	if( iframe.getAttribute("isNoSize") == "true" ) {
		// Do initial iframe size adjustment
		SMUtils.IF_adjIFrameSize( iframe );

		// make a no-arg function callback to bind to event listeners
		iframe.resizeHandler = function() {
			SMUtils.IF_adjIFrameSize( iframe );
		}

		/* Use direct JS calls rather than events - prevents auto-dismissal of context menus etc.
		if (iframe_win.addEventListener){
			//FF
            //iframe_win.addEventListener('DOMSubtreeModified', SMUtils.IF_BindEventTarget, false); 
			//iframe_win.addEventListener('DOMSubtreeModified', iframe.resizeHandler, false); 
			//iframe_doc.addEventListener('DOMAttrModified', iframe.resizeHandler, false); 
			iframe_doc.addEventListener('mousedown', iframe.resizeHandler, false); 
		} 
		else if( iframe_win.attachEvent ){
			//IE
			iframe_doc.attachEvent('onmousedown', iframe.resizeHandler); // onMouseDown used as an 'innocuous' event type so that notificaiton can be artificially sent from JS in the iframe contents.
		}
		*/
	}
	// END Resize Handling
}

/*
SMUtils.IF_BindEventTarget = function( event ) {
	PortletLink.hookAnchors( event.target );
	PortletLink.hookForms( event.target );
}
*/

/*
SMUtils.IF_BindContainerWindow = function( w ) {
	var METHODNAME = "SMUtils.IF_BindContainerWindow: ";
	//console.info( METHODNAME + "Entry" );

	// This function is called from the detail frame's content's header
	// Any time the content frame is resized, need to resize any iframes it contains.

	// Get the old onresize action
	var oldOnResize = w.onresize;

	w.onresize = function() {
		// Do the old onresize action
		if( oldOnResize != null ) {
			oldOnResize();
		}

		// Resize all iframes on the window
		var allIFrames = w.document.getElementsByName( "isc_iframe" );
		for( var i = 0; i < allIFrames.length; i++ ) {
			SMUtils.IF_adjIFrameSize( allIFrames[i] );
		}
	};
}
*/
SMUtils.IF_PostIFrameRender = function( iframe ) {
	var METHODNAME = "SMUtils.IF_PostIFrameRender: ";
	//console.info( METHODNAME + "Entry, iframe: " + iframe + " / " + iframe.toString() );

	// After rendering the iframe, this function gets called by inline JS to trigger the iframe loading its contents

	try {
		var cur_src = iframe.getAttribute( "src" );
		var new_src = iframe.getAttribute( "loadUrl" );
		if( cur_src != new_src ) {
			iframe.setAttribute( "src", iframe.getAttribute( "loadUrl" ) );
		}
	} catch( e ) {}
}
SMUtils.IF_OnIFrameLoad = function( iframe ) {
	var METHODNAME = "SMUtils.IF_OnIFrameLoad: ";
	//console.info( METHODNAME + "Entry" );

	// This function is called from an iframe's onload event

	SMUtils.IF_BindIFrame( iframe );
}
SMUtils.IF_PostIFrameContentRender = function( iframe ) {
	var METHODNAME = "SMUtils.IF_PostIFrameContentRender: ";
	//console.info( METHODNAME + "Entry" );
}


SMUtils.forceAdminConsoleLogin = function( host, port, url ) {
	var METHODNAME = "SMUtils.forceAdminConsoleLogin ";
	//console.info( METHODNAME + "Entry, " + host + ", " + port + ", " + url );
	/*
	We'd like to just do something like this:
		var response = SMUtils.DoSynchronousAJAX( "https://"+host+":"+port+"/ibm/console/secure/securelogon.do?action=force" );
	but it won't work because ajax cannot operate across domains - it can't ajax to the admin console host/port domain.
	Instead, create an iframe, add it to the DOM, set it to trigger the desired action when it loads the login URL
	*/
  //249037 move this dojo requirement to where it's called
  dojo.require("dojo.io.iframe");
	/*TIP_DOJO_NS*/dojo.io.iframe.send(
		{
			method: "POST",
			url: "https://"+host+":"+port+"/ibm/console/secure/securelogon.do&XSS="+top.window.XSS,
			content: {
				action: "force"
			},
			handle: function(data){
				 //console.info( "iframe handle entry" );
				 myWin = window.open( "secure/isclite/tiles/ACLaunch.jsp?url=" + escape(url), "ACLaunchWindow" );
				 myWin.focus();
			}
		}
	);

	//console.info( METHODNAME + "Exit" );
}

function loadingPage(){
	if( /*top.Frameset.SKIPCHANGECURSOR != */ !true ) {
    SMUtils.getTopWindow().navigation.document.body.style.cursor='wait';
    SMUtils.getTopWindow().header.document.body.style.cursor='wait';
    SMUtils.getTopWindow().taskbar.document.body.style.cursor='wait';
    SMUtils.getTopWindow().detail.document.body.style.cursor='wait';
    SMUtils.getTopWindow().detail_nonSM.document.body.style.cursor= 'wait';
	}
}

function cleancookies() {
	  document.cookie = "TJE= ; expires=-1; path=/";  
	  document.cookie = "TE3= ; expires=-1; path=/";  
	  //Updated for TAM compatibility, see related code in menubarLinks.jsp
	  var lurl = SMUtils.getTopWindow().header.logoutUrl+"?scheme="+SMUtils.getTopWindow().header.scheme+"&hostname="+SMUtils.getTopWindow().header.hostname+"&port="+SMUtils.getTopWindow().header.port+"&XSS="+top.window.XSS;
	  top.location.href=lurl;
	  //3196
	  if(SMUtils.getTopWindow().detail.fpCurrentPageId){ // skip Persisting on unload when the current page loaded in WorkArea Frame is enabled for FP
	        SMUtils.getTopWindow().detail.fpSkipPersistenceOnUnload=true;
	  }
	  //3196
}

function isReadyLogout(){
	//check if there still have un-ready logout porltets 
	var subscribedPortletList = SMUtils.getTopWindow().detail.EventBroker.subscribedPortletList;
	var logoutEventName = SMUtils.getTopWindow().detail.FrameworkEventBroker.LogoutEvent;
	var readyFlag = true;
	var unFinishedPIIs = new Array();
	for (var subscribedIndex in subscribedPortletList){
		var eventIndex = subscribedIndex.indexOf(logoutEventName)
		if ( eventIndex >= 0){
			readyFlag = false;
			var pii = subscribedIndex.substring(0,eventIndex);
			unFinishedPIIs.push(pii);
		}
	}
	
	return {"readyFlag":readyFlag,"unFinishedPIIs":unFinishedPIIs};
}

function timeEnd(){
	//if portlet still not ready to log out after the custom time 
	var checkResult = isReadyLogout();
	if (!checkResult.readyFlag){
		var confirmMessage = ISC_LOGOUT_MESSAGE1 + "\n" + ISC_LOGOUT_MESSAGE2;
		SMUtils.getTopWindow().detail.EventBroker.logMessageInServer("Custom Time End. Portlets not ready to log out:" + checkResult.unFinishedPIIs);
		if (confirm(confirmMessage)){
			logout();
		}
	}
}

function logoutCleanup() {
	try {
		var allPages = SMUtils.getTopWindow().detail.IscPages.getAllPageElements(); 
		// Add log out event.
		var logoutEventObj = {name:SMUtils.getTopWindow().detail.FrameworkEventBroker.LogoutEvent};
		setTimeout("timeEnd();",ISC_LOGOUT_TIME_LIMIT);
		
		for(var i = 0; i < allPages.length; i++ ) 
		{   
			SMUtils.getTopWindow().detail.EventBroker.sendFrameworkEvent(logoutEventObj, allPages[i].id);  // Send log out event to page.
		}
		var checkResult = isReadyLogout();
		//alert("logoutCleanup="+checkResult.readyFlag);
		if (checkResult.readyFlag){
			logout();
		}
	} catch( e ) {
		logout();
	}
}

function proceedToLogout(portletNamespace){
	try {
		SMUtils.getTopWindow().detail.EventBroker.unsubscribeLogoutEvent(portletNamespace);
		var checkResult = isReadyLogout();
		if (checkResult.readyFlag){
			//ready to log out
			logout();
		}
	} catch( e ) {
		logout();
	}
}

function logout(){
	try {
		// PK90636_1
		// Get all the pages in the DOM - this will get the focused page, and any other state maintained page
		var allPages = SMUtils.getTopWindow().detail.IscPages.getAllPageElements(); 
		// For each page...
		for(var i = 0; i < allPages.length; i++ ) 
		{   
			SMUtils.getTopWindow().detail.EventBroker.unsubscribePortletsInPage(allPages[i].id);   // Send event to page
		}
		// end of PK90636_1
		sessionKeepAlive=function(){};  
		if (typeof iscSessionKeepAliveTimerId != "undefined" && typeof iscSessionKeepAliveTimerId != "null")
			clearTimeout(iscSessionKeepAliveTimerId);
		top.frames["detail"].clearAllTimers();
	} catch( e ) {
	} finally {
		cleancookies();  //Needs to be last as this redirects the browser to the correct logout URL
	}
}



function PopupUtil() {}
// Note: For a portlet or iwidget in isolation mode, we provide a JS 'bridge' so the portlet can just call "PopupUtil.OpenPopup(...)" rather than "parent.PopupUtil.OpenPopup(...)".
// The bridge is useful because it allows the portlet to be written the same way whether it's in isolatePortlet mode or not.
// However, the deployer page shown in the popup cannot have the bridge inserted into it automatically, so must use "parent.PopupUtil".
PopupUtil.debugOn=false;
/*
Open an iframe popup or retrieve existing iframe popup with this ID
This function returns the iframe object for the popup, which can then be used to resize the popup, change it's position, or otherwise change it's styles.
contentID : String, provide the <portlet:namespace/> or this.iContext.widgetId
popupID : String, unique identifier for the popup (should include content namespace string for uniqueness)
abs : boolean, true = position is relative to the Page, false = position is relative to the content location
l : int, left coordinate of popup
t : int, top coordinate of popup
w : int, width of popup, or null for full width of page
h : int, height of popup, or null for full height of page
url : string, url to load in the popup, usually something like "<%=request.getContextPath()%>/somePathInYourWar/YourPopup.jsp?popupID=<portlet:namespace>PopID&MessageToDisplay=YourMessageHere"
handler : function, javascript function to handle data returned from the popup
Returns the iframe object created.
*/
PopupUtil.OpenPopup = function( contentID, popupID, abs, l, t, w, h, url, handler ) {
	var METHODNAME = "PopupUtil.OpenPopup ";
	if( PopupUtil.debugOn ) console.log( METHODNAME + "Entry, popupID : " + popupID + ", abs : " + abs + ", pos : " + l + "/" + t + "/" + w + "/" + h );

	// If the named popup already exists, just return it.
	var existingPopupIframe = document.getElementById( popupID );
	if( existingPopupIframe ) {
		if( PopupUtil.debugOn ) console.log( METHODNAME + "Exiting, returning : " + existingPopupIframe, existingPopupIframe );
		return( existingPopupIframe );
	}

	//Convert the content namespace to the pii string
	var pID = contentID.replace( "\-", "m" );
	if( pID.indexOf("_iw") == 0 ) {
		// iWidget ID is structured like "_iw_N276251894"
		pID = pID.substring(3,contentID.length);

		// Just in case someone cleverly worked around the previous bug where the last char was removed (like for portlets)....
		if( pID.lastIndexOf( "_" ) == pID.length-1 ) {
			// Remove the last character
			pID = pID.substring(0,pID.length-1);
		}
	}
	else if( pID.indexOf("ns_") == 0 ) {
		// portlet namespace is structured like "ns__N276251894_"
		pID = pID.substring(3,pID.length-1);
	}
	else {
		// Unexpected structure, abort.
		console.log( METHODNAME + "Error, unexpected contentID string structure '"+contentID+"', cannot convert to pii string.  Unable to create popup." );
		return( null );
	}

	//Get portlet and page objects
	var thisPortlet = null;
	var thisPage = null;
	{
		var portletElem = document.getElementById( pID );
		if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem : " + portletElem, portletElem );
		var portletElem_model = null;
		if( portletElem.modelObject ) {
			// Freeform
			if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem.modelObject found, is freeform" );
			portletElem_model = portletElem.modelObject;
		}
		else {
			// Classic
			if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem.modelObject not found, is classic" );
			var portletElem_childNodes = portletElem.childNodes;
			for( var i = 0; i < portletElem_childNodes.length; i++ ) {
				if( PopupUtil.debugOn ) console.log( METHODNAME + "childNode " + i + " : " + portletElem_childNodes[i], portletElem_childNodes[i] );
				if( portletElem_childNodes[i].getAttribute && portletElem_childNodes[i].getAttribute("name") == "IscPortlet" ) {
					if( PopupUtil.debugOn ) console.log( METHODNAME + "Found it!" );
					portletElem_model = portletElem_childNodes[i].modelObject;
					break;
				}
			}
		}
		if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem_model : " + portletElem_model );
		var portletElem_model_id = portletElem_model.id();
		if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem_model_id : " + portletElem_model_id );

		thisPortlet = portletElem_model;
		thisPage = thisPortlet.page;
		if( PopupUtil.debugOn ) console.log( METHODNAME + "thisPortlet.id() : " + thisPortlet.id() );
		if( PopupUtil.debugOn ) console.log( METHODNAME + "thisPage.id() : " + thisPage.id() );
		if( PopupUtil.debugOn ) console.log( METHODNAME + "thisPage.pageData.layoutType : " + thisPage.pageData.layoutType );
	}

	// Set defaults
	if( l == null ) l = 0;
	if( t == null ) t = 0;

	// Find the content element
	var thisContentElem = null;
	{
		if( thisPage.pageData.layoutType == "Freeform" ) {
			var topContentElem = thisPortlet.element;
			thisContentElem = /*TIP_DOJO_NS*/dojo.query(".content", topContentElem )[0];
		}
		else {
			var portletContent = document.getElementById( pID + "_portlet_content" );
			if( portletContent ) {
				var cells = /*TIP_DOJO_NS*/dojo.query( "td", portletContent );
				thisContentElem = cells[0];
			}
			else {
				// Not found, not good - check below and abort with an alert.
			}
		}
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "thisContentElem : " + thisContentElem, thisContentElem );

	// If couldn't find the content element, something is wrong (such as DOM structure has changed unexpectedly)
	if( thisContentElem == null ) {
		console.log( METHODNAME + "ERROR: Content element for '" + contentID + "' not found, unable to create popup window '" + popupID + "'" );
		return( null );
	}

	// Find the page position
	var pageCoords = {x:0,y:0};
	{
		pageCoords = /*TIP_DOJO_NS*/dojo.coords( thisPage.element );
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "pageCoords : " + pageCoords.x + "," + pageCoords.y );

	// Find the coordinates of the content that launched the popup
	var contentCoords = {x:0,y:0};
	{
		contentCoords = /*TIP_DOJO_NS*/dojo.coords( thisContentElem );
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "contentCoords : " + contentCoords.x + "," + contentCoords.y );

	// Find the scroll position of the content that launched the popup
	var contentScrollPos = {x:0,y:0};
	{
		if( thisPage.pageData.layoutType == "Freeform" ) {
			// Account for any scrolling of the freeform div containing the content
			contentScrollPos.x += thisContentElem.scrollLeft;
			contentScrollPos.y += thisContentElem.scrollTop;
		}
		else {
			// N/A
		}

		// If an isolation iframe is present, account for any scrolling therein.
		var isolationIframeElem = document.getElementById( pID + "_iframe" );
		if( isolationIframeElem ) {
			// Get the iFrame's document & win
			var tif_win = isolationIframeElem.contentWindow;
			var tif_doc = tif_win.document;

			contentScrollPos.x += ( /*TIP_DOJO_NS*/dojo.isIE ? tif_doc.body.scrollLeft : tif_win.pageXOffset );
			contentScrollPos.y += ( /*TIP_DOJO_NS*/dojo.isIE ? tif_doc.body.scrollTop : tif_win.pageYOffset );
		}
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "contentScrollPos : " + contentScrollPos.x + "," + contentScrollPos.y );

	// Find the scroll position of the page frame
	var pageScrollPos = {x:0,y:0};
	{
		pageScrollPos.x = ((document.all)?document.body.scrollLeft:window.pageXOffset);
		pageScrollPos.y = ((document.all)?document.body.scrollTop:window.pageYOffset);
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "pageScrollPos : " + pageScrollPos.x + "," + pageScrollPos.y );

	// Find the final position....
	var finalPos = {x:0,y:0};
	{
		// Start from arguments
		finalPos.x = l;
		finalPos.y = t;

		//If relative to content position...
		if( abs == false ) {
			// Add content position
			finalPos.x += contentCoords.x;
			finalPos.y += contentCoords.y;

			// Subtract content scroll position
			finalPos.x -= contentScrollPos.x;
			finalPos.y -= contentScrollPos.y;
		}

		// Subtract page position
		finalPos.x -= pageCoords.x;
		finalPos.y -= pageCoords.y;

		// Add page scroll position
		finalPos.x += pageScrollPos.x;
		finalPos.y += pageScrollPos.y;
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "desired position : " + finalPos.x + "," + finalPos.y );

	// Make an iframe for the popup
	var newPopupIframe = null;
	{
		newPopupIframe = document.createElement( "iframe" );
		newPopupIframe.setAttribute( "id", popupID );
		with( newPopupIframe.style ) {
			left = finalPos.x + "px";
			top = finalPos.y + "px";
			//width = w;	//Can't set size with style, must use attribibutes
			//height = h;
			position = "absolute";
			border = "none";
			//display = "none";
			visibility = "hidden";
			zIndex = 999;
		}
		newPopupIframe.setAttribute( "position", "absolute" );
		newPopupIframe.setAttribute( "width", w == null ? "100%" : w + "px" );
		newPopupIframe.setAttribute( "height", h == null ? "100%" : h + "px" );
		newPopupIframe.setAttribute( "scrolling", "no" );
		newPopupIframe.setAttribute( "allowTransparency", "true" );
		newPopupIframe.setAttribute( "pID", pID );
		newPopupIframe.callbackHandler = handler;
	
		// Make the iframe visible when it is fully loaded
		newPopupIframe.makeVisible=function(){
			newPopupIframe.style.visibility='visible';
		}
		if( newPopupIframe.addEventListener ) {
			newPopupIframe.addEventListener( "load", newPopupIframe.makeVisible, false );
		}
		else if (newPopupIframe.attachEvent){
			newPopupIframe.attachEvent( "onload", newPopupIframe.makeVisible );
		}
	
		// Set the src
		newPopupIframe.setAttribute( "src", url );
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "newPopupIframe : " + newPopupIframe );

	// Find the portlet's PopupArea
	var portletPopupArea = null;
	{
		var pageChildren = thisPage.element.childNodes;
		for( var i = 0; i < pageChildren.length; i++ ) {
			if( pageChildren[i].id && pageChildren[i].id == "PopupArea_" + thisPortlet.id() ) {
				portletPopupArea = pageChildren[i];
				break;
			}
		}
		// If there isn't a PopupArea for this portlet yet, create one.
		if( portletPopupArea == null ) {
			portletPopupArea = document.createElement( "div" );
			portletPopupArea.id = "PopupArea_" + thisPortlet.id();
			thisPage.element.appendChild( portletPopupArea );
		}
	}
	if( PopupUtil.debugOn ) console.log( METHODNAME + "portletPopupArea : " + portletPopupArea );

	//Append the new popup iframe to the portlet's PopupArea
	portletPopupArea.appendChild( newPopupIframe );

	if( PopupUtil.debugOn ) console.log( METHODNAME + "Exiting, returning : " + newPopupIframe, newPopupIframe );
	return( newPopupIframe );
}

/*
Get the DOM element that contains the content (e.g. portlet or iwidget) that originated the specified popup.
This function is provided so that the source element can be used in a READ-ONLY manner to determine size and position values.  These values can then be used to adjust the size and position of the popup or contents in the popup.
popupID : String, unique identifier for the popup (should include content namespace string for uniqueness)
Returns : The HTML element containing the source contents or iframe (if isolated)
*/
PopupUtil.GetSource = function( popupID ) {
	var METHODNAME = "PopupUtil.GetSource ";
	if( PopupUtil.debugOn ) console.log( METHODNAME + "Entry, popupID : " + popupID );

	var retVal = null;

	var foundPopupElement = document.getElementById( popupID );
	if( PopupUtil.debugOn ) console.log( METHODNAME + "foundPopupElement : " + foundPopupElement );

	// If the specified popup exists...
	if( foundPopupElement != null ) {
		var pID = foundPopupElement.getAttribute( "pID" );

		//Get portlet and page objects
		var thisPortlet = null;
		var thisPage = null;
		{
			var portletElem = document.getElementById( pID );
			if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem : " + portletElem, portletElem );
			var portletElem_model = null;
			if( portletElem.modelObject ) {
				// Freeform
				if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem.modelObject found, is freeform" );
				portletElem_model = portletElem.modelObject;
			}
			else {
				// Classic
				if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem.modelObject not found, is classic" );
				var portletElem_childNodes = portletElem.childNodes;
				for( var i = 0; i < portletElem_childNodes.length; i++ ) {
					if( PopupUtil.debugOn ) console.log( METHODNAME + "childNode " + i + " : " + portletElem_childNodes[i], portletElem_childNodes[i] );
					if( portletElem_childNodes[i].getAttribute && portletElem_childNodes[i].getAttribute("name") == "IscPortlet" ) {
						if( PopupUtil.debugOn ) console.log( METHODNAME + "Found it!" );
						portletElem_model = portletElem_childNodes[i].modelObject;
						break;
					}
				}
			}
			if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem_model : " + portletElem_model );
			var portletElem_model_id = portletElem_model.id();
			if( PopupUtil.debugOn ) console.log( METHODNAME + "portletElem_model_id : " + portletElem_model_id );

			thisPortlet = portletElem_model;
			thisPage = thisPortlet.page;
			if( PopupUtil.debugOn ) console.log( METHODNAME + "thisPortlet.id() : " + thisPortlet.id() );
			if( PopupUtil.debugOn ) console.log( METHODNAME + "thisPage.id() : " + thisPage.id() );
			if( PopupUtil.debugOn ) console.log( METHODNAME + "thisPage.pageData.layoutType : " + thisPage.pageData.layoutType );
		}

		// Find the content element
		var thisContentElem = null;
		{
			if( thisPage.pageData.layoutType == "Freeform" ) {
				var topContentElem = thisPortlet.element;
				thisContentElem = /*TIP_DOJO_NS*/dojo.query(".content", topContentElem )[0];
			}
			else {
				var portletContent = document.getElementById( pID + "_portlet_content" );
				if( portletContent ) {
					var cells = /*TIP_DOJO_NS*/dojo.query( "td", portletContent );
					thisContentElem = cells[0];
				}
				else {
					// Not found, not good - check below and abort with an alert.
				}
			}
		}
		if( PopupUtil.debugOn ) console.log( METHODNAME + "thisContentElem : " + thisContentElem, thisContentElem );

		// If couldn't find the content element, something is wrong (such as DOM structure has changed unexpectedly)
		if( thisContentElem == null ) {
			console.log( METHODNAME + "ERROR: Content element for '" + popupID + "' not found, using document.body." );
			retVal = document.body;	// We might be able to recover in some scenarios by using document.body - positioning will probably be wrong, but may work anyway.
		}
		else {
			retVal = thisContentElem;
		}
	}

	if( PopupUtil.debugOn ) console.log( METHODNAME + "Exiting, returning : " + retVal, retVal );
	return( retVal );
}

/*
Close the specified iframe popup
popupID : String, unique identifier for the popup
Returns : Removed iframe element or null if not found
*/
PopupUtil.ClosePopup = function( popupID ) {
	var METHODNAME = "PopupUtil.ClosePopup ";
	if( PopupUtil.debugOn ) console.log( METHODNAME + "Entry, popupID : " + popupID );

	var retVal = null;

	var tif = document.getElementById( popupID );

	if( tif != null ) {
		try {
			retVal = tif.parentNode.removeChild( tif );
		}
		catch( e ) {
			retVal = null;
		}
	}

	return( retVal );
}

/*
Send data from an iframe popup
popupID : String, unique identifier for the popup
data : Object, data to send to the source content's handler function (specified when opening the popup)
This function should be called from your popup as "parent.PopupUtil.SendPopupData( popupID, data );"
*/
PopupUtil.SendPopupData = function( popupID, data ) {
	var METHODNAME = "PopupUtil.SendPopupData ";
	//console.log( METHODNAME + "Entry, popupID '" + popupID + "'" );

	var retVal = null;

	var tif = document.getElementById( popupID );

	if( tif != null && tif.callbackHandler ) {
		retVal = tif.callbackHandler( popupID, data );
	}

	return( retVal );
}

